unity crashed with AttributeError in process_and_start_unity(): 'Values' object has no attribute 'compiz_args'

Bug #1566565 reported by mgarridosan on 2016-04-05
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
unity (Ubuntu)
Critical
Andrea Azzarone

Bug Description

Unity-tweak caused the crash. Unable to recover unity launcher and dash after reboot and some tty commands suggested from different threads
mario@mario-LIFEBOOK-T902:~$
mario@mario-LIFEBOOK-T902:~$ unity --reset
The --reset option is deprecated, You should run with no options instead.
unity-panel-service stop/waiting
unity7 stop/waiting
unity7 start/running, process 5143
unity-panel-service start/running, process 5145
mario@mario-LIFEBOOK-T902:~$ gconftool-2 --recursive-unset /apps/compiz
mario@mario-LIFEBOOK-T902:~$ unity --reset
The --reset option is deprecated, You should run with no options instead.
unity-panel-service stop/waiting
unity7 stop/waiting
unity-panel-service start/running, process 5295
unity7 start/running, process 5296
mario@mario-LIFEBOOK-T902:~$ unity restart
unity-panel-service stop/waiting
Traceback (most recent call last):
  File "/usr/bin/unity", line 220, in <module>
    run_unity(args)
  File "/usr/bin/unity", line 142, in run_unity
    unity_instance = process_and_start_unity (compiz_args)
  File "/usr/bin/unity", line 100, in process_and_start_unity
    cli.extend(options.compiz_args)
AttributeError: 'Values' object has no attribute 'compiz_args'
mario@mario-LIFEBOOK-T902:~$

ProblemType: Crash
DistroRelease: Ubuntu 16.04
Package: unity 7.4.0+16.04.20160401.1-0ubuntu1
ProcVersionSignature: Ubuntu 4.4.0-17.33-generic 4.4.6
Uname: Linux 4.4.0-17-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.20.1-0ubuntu1
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Wed Apr 6 01:02:57 2016
DistUpgraded: Fresh install
DistroCodename: xenial
DistroVariant: ubuntu
ExecutablePath: /usr/bin/unity
GraphicsCard:
 Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Fujitsu Limited. 3rd Gen Core processor Graphics Controller [10cf:16d0]
InstallationDate: Installed on 2016-03-27 (9 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Beta amd64 (20160323)
InterpreterPath: /usr/bin/python3.5
MachineType: FUJITSU LIFEBOOK T902
ProcCmdline: /usr/bin/python3 /usr/bin/unity restart
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-17-generic.efi.signed root=UUID=a0aa3a8a-5760-4d2a-95ec-a01a933e2ce0 ro quiet splash vt.handoff=7
PythonArgs: ['/usr/bin/unity', 'restart']
SourcePackage: unity
Title: unity crashed with AttributeError in process_and_start_unity(): 'Values' object has no attribute 'compiz_args'
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 12/08/2014
dmi.bios.vendor: FUJITSU // Phoenix Technologies Ltd.
dmi.bios.version: Version 2.09
dmi.board.name: FJNB25E
dmi.board.vendor: FUJITSU
dmi.board.version: F3
dmi.chassis.type: 10
dmi.chassis.vendor: FUJITSU
dmi.chassis.version: LIFEBOOK T902
dmi.modalias: dmi:bvnFUJITSU//PhoenixTechnologiesLtd.:bvrVersion2.09:bd12/08/2014:svnFUJITSU:pnLIFEBOOKT902:pvr10601581839:rvnFUJITSU:rnFJNB25E:rvrF3:cvnFUJITSU:ct10:cvrLIFEBOOKT902:
dmi.product.name: LIFEBOOK T902
dmi.product.version: 10601581839
dmi.sys.vendor: FUJITSU
version.compiz: compiz 1:0.9.12.2+16.04.20160331-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.67-1
version.libgl1-mesa-dri: libgl1-mesa-dri 11.1.2-1ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 11.1.2-1ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.18.1-1ubuntu4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.6.1-1ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20160325-1ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12-1build2
xserver.bootTime: Wed Apr 6 00:56:04 2016
xserver.configfile: default
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 896
 vendor LGD
xserver.version: 2:1.18.1-1ubuntu4

Related branches

mgarridosan (mgarridosan) wrote :
tags: removed: need-duplicate-check
Changed in unity (Ubuntu):
importance: Undecided → Medium
Andrea Azzarone (azzar1) on 2016-04-08
information type: Private → Public
Changed in unity (Ubuntu):
importance: Medium → Critical
assignee: nobody → Andrea Azzarone (azzar1)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.4.0+16.04.20160415-0ubuntu1

---------------
unity (7.4.0+16.04.20160415-0ubuntu1) xenial; urgency=medium

  [ Andrea Azzarone ]
  * Do not use pointers to LazyLoadTextures. (LP: #1569100)
  * Fix unity script crash. (LP: #1566565)
  * LockscreenController: Don't use SetActivate(False) for gnome-
    screensaver to prevent unlocking on tty switch. It will not only
    deactivate the screensaver but also unlock the screen. (LP:
    #1552537)
  * unityshell.xml: Fix typo (LP: #1559427)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Fri, 15 Apr 2016 05:33:08 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.